#include<bits/stdc++.h>

using namespace std;

int main(){
    int n, m;
    cin >> n >> m;
    int redari = 2 * n + 2 * (m - 2);
    int sredina_n = n - 2;
    int sredina_m = m - 2;
    if(sredina_m % 2 == 0){
    	redari += (sredina_m / 2) * sredina_n;
    }
    else{
    	if(sredina_n % 2 == 0){
    		redari += (sredina_m / 2) * (sredina_n / 2);
    		redari += (sredina_m / 2 + 1) * (sredina_n / 2);
    	}
    	else{
    		redari += (sredina_m / 2 + 1) * (sredina_n / 2);
    		redari += (sredina_m / 2) * (sredina_n / 2 + 1);
    	}
    }
    cout << redari;
}